Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 3425)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 3426)
@@ -29,7 +29,7 @@
 request = REQUEST
 
-manage = "manage" in request.keys()
+#manage = "manage" in request.keys()
 screening_types = ('prence','pume','pce','pde','cest','sandwich')
-if not (traverse_subpath and traverse_subpath[0] in screening_types) and not manage:
+if not (traverse_subpath and traverse_subpath[0] in screening_types):
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 configuration = []
@@ -102,5 +102,5 @@
 mode = request.get('mode','')
 if not mode:
-    if apply_admission or edit or manage:
+    if apply_admission or edit:
         mode = "edit"
     elif slip:
@@ -110,6 +110,4 @@
 validate = create or edit or apply_admission
 
-if manage:
-    validate = False
 without_reg_no = False
 
@@ -177,14 +175,14 @@
         submitted = True
     # cannot happen anymore but anyway
-    if not (create or slip) and (pin != object['pin'] and not context.isSectionOfficer()):
-        logger.info('%s/%s entered wrong pin %s' % (member,reg_no,pin))
-        return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+    #if not (create or slip) and (pin != object['pin'] and not context.isSectionOfficer()):
+    #    logger.info('%s/%s entered wrong pin %s' % (member,reg_no,pin))
+    #    return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 
     #rerender with current object = application-record
-    
+
     if slip:
         mode = "view_slip"
         logger.info('%s/%s views application slip' % (member,reg_no))
-    
+
     res,psm,ds = lt.renderLayout(layout_id= layout,
                                 schema_id= 'import_application',
@@ -201,6 +199,6 @@
                                             ds = ds,
                                             info = info,
-                                           )                                
-                                
+                                           )
+
     if psm == 'invalid':
         return context.apply_admission_form(rendered = res,
@@ -224,22 +222,6 @@
         data[field] = dm.get(field)
 data['reg_no'] = reg_no
-if manage:
-    if submitted:
-        mode = "view"
-        psm = "You are now assuming the applicant's role!"
-        logger.info('%s/%s entered application record' % (member,reg_no))
-        # res,psm_dummy,ds_dummy = lt.renderLayout(layout_id= layout,
-        #                         schema_id= 'import_application',
-        #                         layout_mode = mode,
-        #                         context=context,
-        #                         mapping={},
-        #                         ob=object,
-        #                         commit = False,
-        #                         )
-    else:
-        mode = "edit"
-        psm = "You are now assuming the applicant's role!"
-        logger.info('%s/%s entered application record' % (member,reg_no))
-elif apply_admission:
+
+if apply_admission:
     if submitted:
         mode = "view"
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 3425)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 3426)
@@ -41,5 +41,5 @@
           <div tal:replace="structure rendered_main" />
           
-          <metal:block tal:condition="python: show_submit and mode == 'edit'">
+          <metal:block tal:condition="python: show_submit and mode == 'edit' and not expired">
             <br/>
             <input type="checkbox" class="standalone" 
@@ -55,5 +55,5 @@
                  name="edit"
                  value="Save" 
-                 tal:condition="python: mode == 'edit' and not expired" />
+                 tal:condition="python: mode == 'edit'" />
           <input type="submit" class="standalone" name="apply"
                  value="Final Submit"
Index: WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 3425)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 3426)
@@ -258,5 +258,5 @@
     <property name="label">'English' Score</property>
     <property name="label_edit">'English' Score</property>
-    <property name="description"></property>
+    <property name="description">JAMB Scores</property>
     <property name="help"></property>
     <property name="is_i18n">False</property>
@@ -522,5 +522,5 @@
     <property name="label">Application Date</property>
     <property name="label_edit">Application Date</property>
-    <property name="description"></property>
+    <property name="description">Application Data</property>
     <property name="help"></property>
     <property name="is_i18n">False</property>
@@ -730,21 +730,215 @@
     <property name="vocabulary">high_qual</property>
   </widget>
-
-
+  
   <widget name="hq_grade" meta_type="Select Widget">
-    <property name="title">Higher Qualification Grade</property>
-    <property name="fields">
-    <element value="hq_grade"/>
-    </property>
-    <property name="label">Higher Qualification Grade</property>
-    <property name="label_edit">Higher Qualification Grade</property>
-    <property name="readonly_layout_modes">
-    </property>
-    <property name="hidden_layout_modes">
-    <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">high_grade</property>
-  </widget>
+      <property name="title">Higher Qualification Grade</property>
+      <property name="fields">
+       <element value="hq_grade"/>
+      </property>
+      <property name="label">Higher Qualification Grade</property>
+      <property name="label_edit">Higher Qualification Grade</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+      <property name="vocabulary">high_grade</property>
+     </widget>
+     <widget name="hq_disc" meta_type="String Widget">
+      <property name="title">Discipline</property>
+      <property name="fields">
+       <element value="hq_disc"/>
+      </property>
+      <property name="label">Discipline</property>
+      <property name="label_edit">Discipline</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+     </widget>
+     <widget name="hq_matric_no" meta_type="String Widget">
+      <property name="title">Former Matric Number</property>
+      <property name="fields">
+       <element value="hq_matric_no"/>
+      </property>
+      <property name="label">Former Matric Number</property>
+      <property name="label_edit">Former Matric Number</property>
+      <property name="description">Higher Educational Data</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+     </widget>
+     <widget name="hq_school" meta_type="String Widget">
+      <property name="title">School Attended</property>
+      <property name="fields">
+       <element value="hq_school"/>
+      </property>
+      <property name="label">School Attended</property>
+      <property name="label_edit">School Attended</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+     </widget>
+     <widget name="hq_session" meta_type="String Widget">
+      <property name="title">Session Obtained</property>
+      <property name="fields">
+       <element value="hq_session"/>
+      </property>
+      <property name="label">Session Obtained</property>
+      <property name="label_edit">Session Obtained</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+  </widget>
+  <widget name="fst_sit_fname" meta_type="String Widget">
+      <property name="title">Full Name</property>
+      <property name="fields">
+       <element value="fst_sit_fname"/>
+      </property>
+      <property name="label">Full Name</property>
+      <property name="label_edit">Full Name</property>
+      <property name="description">First Sitting Data</property>
+      <property
+         name="help">Full name as it appears on certificate/result</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+     </widget>
+     <widget name="fst_sit_no" meta_type="String Widget">
+      <property name="title">Exam Number</property>
+      <property name="fields">
+       <element value="fst_sit_no"/>
+      </property>
+      <property name="label">Exam Number</property>
+      <property name="label_edit">Exam Number</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+     </widget>
+     <widget name="fst_sit_date" meta_type="DateTime Widget">
+      <property name="title">Exam Date</property>
+      <property name="fields">
+       <element value="fst_sit_date"/>
+      </property>
+      <property name="label">Exam Date</property>
+      <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+      <property name="view_format">%d/%m/%Y</property>
+      <property name="time_setting">False</property>
+     </widget>
+     <widget name="fst_sit_results" meta_type="WAeUp Results Widget">
+      <property name="title">Results</property>
+      <property name="fields">
+       <element value="fst_sit_results"/>
+      </property>
+      <property name="label">Results</property>
+      <property name="label_edit">Results</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+     </widget>
+     <widget name="fst_sit_type" meta_type="Select Widget">
+      <property name="title">Exam Type</property>
+      <property name="fields">
+       <element value="fst_sit_type"/>
+      </property>
+      <property name="label">Exam Type</property>
+      <property name="label_edit">Exam Type</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+      <property name="vocabulary">exam_types</property>
+     </widget>
+     <widget name="scd_sit_fname" meta_type="String Widget">
+      <property name="title">Full Name</property>
+      <property name="fields">
+       <element value="scd_sit_fname"/>
+      </property>
+      <property name="label">Full Name</property>
+      <property name="label_edit">Full Name</property>
+      <property name="description">Second Sitting Data</property>
+      <property
+         name="help">Full name as it appears on certificate/result</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+     </widget>
+     <widget name="scd_sit_no" meta_type="String Widget">
+      <property name="title">Exam Number</property>
+      <property name="fields">
+       <element value="scd_sit_no"/>
+      </property>
+      <property name="label">Exam Number</property>
+      <property name="label_edit">Exam Number</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+     </widget>
+     <widget name="scd_sit_type" meta_type="Select Widget">
+      <property name="title">Exam Type</property>
+      <property name="fields">
+       <element value="scd_sit_type"/>
+      </property>
+      <property name="label">Exam Type</property>
+      <property name="label_edit">Exam Type</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+      <property name="vocabulary">exam_types</property>
+     </widget>
+     <widget name="scd_sit_date" meta_type="DateTime Widget">
+      <property name="title">Exam Date</property>
+      <property name="fields">
+       <element value="scd_sit_date"/>
+      </property>
+      <property name="label">Exam Date</property>
+      <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+      <property name="view_format">%d/%m/%Y</property>
+      <property name="time_setting">False</property>
+     </widget>
+     <widget name="scd_sit_results" meta_type="WAeUp Results Widget">
+      <property name="title">Results</property>
+      <property name="fields">
+       <element value="scd_sit_results"/>
+      </property>
+      <property name="label">Results</property>
+      <property name="label_edit">Results</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes">
+       <element value="create"/>
+      </property>
+      <property name="hidden_readonly_layout_modes"/>
+  </widget>
+  
 
   <widget name="aos" meta_type="Select Widget">
@@ -835,12 +1029,72 @@
   </row>
   <row>
-   <cell name="hq_type" ncols="2"/>
-  </row>
-  <row>
-   <cell name="hq_grade" ncols="2"/>
-  </row>
+   <cell name="passport" ncols="2"/>
+  </row>  
   <row>
    <cell name="aos" ncols="2"/>
-  </row>
+  </row>  
+  <row>
+   <cell name="course1" ncols="2"/>
+  </row>
+  <row>
+   <cell name="course2" ncols="2"/>
+  </row>
+  <row>
+   <cell name="course3" ncols="2"/>
+  </row>
+      
+  
+    <row>
+      <cell name="hq_matric_no"/>
+    </row>
+    <row>
+      <cell name="hq_type"/>
+    </row>
+    <row>
+      <cell name="hq_grade"/>
+    </row>
+    <row>
+      <cell name="hq_school"/>
+    </row>
+    <row>
+      <cell name="hq_session"/>
+    </row>
+    <row>
+      <cell name="hq_disc"/>
+    </row>
+  
+    <row>
+      <cell name="fst_sit_fname"/>
+    </row>
+    <row>
+      <cell name="fst_sit_no"/>
+    </row>
+    <row>
+      <cell name="fst_sit_date"/>
+    </row>
+    <row>
+      <cell name="fst_sit_type"/>
+    </row>
+    <row>
+      <cell name="fst_sit_results"/>
+    </row>
+    <row>
+      <cell name="scd_sit_fname"/>
+    </row>
+    <row>
+      <cell name="scd_sit_no"/>
+    </row>
+    <row>
+      <cell name="scd_sit_date"/>
+    </row>
+    <row>
+      <cell name="scd_sit_type"/>
+    </row>
+    <row>
+      <cell name="scd_sit_results"/>
+    </row>  
+ 
+
+
   <row>
    <cell name="eng_score" ncols="2"/>
@@ -861,13 +1115,5 @@
    <cell name="aggregate" ncols="2"/>
   </row>
-  <row>
-   <cell name="course1" ncols="2"/>
-  </row>
-  <row>
-   <cell name="course2" ncols="2"/>
-  </row>
-  <row>
-   <cell name="course3" ncols="2"/>
-  </row>
+
   <row>
    <cell name="application_date" ncols="2"/>
@@ -882,7 +1128,5 @@
    <cell name="screening_type" ncols="2"/>
   </row>
-  <row>
-   <cell name="passport" ncols="2"/>
-  </row>
+
   <row>
    <cell name="screening_score" ncols="2"/>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/application_status.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/application_status.xml	(revision 3425)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/application_status.xml	(revision 3426)
@@ -8,4 +8,5 @@
 
     <item key="entered" msgid="">APP PIN entered</item>
+    <item key="reset" msgid="">Record reset (not yet re-submitted)</item>
     <item key="edited" msgid="">Record edited (not yet submitted)</item>
     <item key="submitted" msgid="">Record submitted (waiting for results)</item>
Index: WAeUP_SRP/uniben/waeup_custom/apply_admission_manage_form.pt
===================================================================
--- WAeUP_SRP/uniben/waeup_custom/apply_admission_manage_form.pt	(revision 3425)
+++ WAeUP_SRP/uniben/waeup_custom/apply_admission_manage_form.pt	(revision 3426)
@@ -100,18 +100,5 @@
         <br/>
         
-        <form action="" id="editForm" method="post" 
-            enctype="multipart/form-data" class="workflow"
-            tal:attributes="action string:${context/absolute_url}/apply_admission"
-            tal:condition="rendered_main"
-            >
-        <input type="hidden" name="reg_no"
-               tal:attributes="value ds/reg_no|nothing"
-               tal:condition="ds/reg_no|nothing"/>
-        <input type="submit" 
-               class="standalone" 
-               name="manage"
-               value="Assume Applicant's Role"
-               />             
-        </form>          
+
         
       </metal:block>