Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml	(revision 3437)
@@ -457,5 +457,5 @@
   <property name="vocabulary">application_status</property>
  </widget>
-  <widget name="course1" meta_type="Select Widget">
+  <widget name="course1" meta_type="Application Course Widget">
     <property name="title">1st Choice Course of Study</property>
     <property name="fields">
@@ -478,5 +478,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course2" meta_type="Select Widget">
+  <widget name="course2" meta_type="Application Course Widget">
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
@@ -499,5 +499,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course3" meta_type="Select Widget">
+  <widget name="course3" meta_type="Application Course Widget">
     <property name="title">3rd Choice Course of Study</property>
     <property name="fields">
@@ -520,5 +520,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="Select Widget">
+  <widget name="course_admitted" meta_type="Application Course Widget">
     <property name="title">Admitted Course of Study</property>
     <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 3437)
@@ -629,5 +629,5 @@
   <property name="vocabulary">application_status</property>
  </widget>
-  <widget name="course1" meta_type="Select Widget">
+  <widget name="course1" meta_type="Application Course Widget">
     <property name="title">1st Choice Course of Study</property>
     <property name="fields">
@@ -649,5 +649,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course2" meta_type="Select Widget">
+  <widget name="course2" meta_type="Application Course Widget">
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
@@ -670,5 +670,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course3" meta_type="Select Widget">
+  <widget name="course3" meta_type="Application Course Widget">
     <property name="title">3rd Choice Course of Study</property>
     <property name="fields">
@@ -692,5 +692,5 @@
   </widget>
 
-  <widget name="course_admitted" meta_type="Select Widget">
+  <widget name="course_admitted" meta_type="Application Course Widget">
     <property name="title">Admitted Course of Study</property>
     <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 3437)
@@ -45,5 +45,5 @@
   <property name="time_setting">False</property>
  </widget>
- <widget name="course1" meta_type="Select Widget">
+ <widget name="course1" meta_type="Application Course Widget">
   <property name="title">1st Choice Course of Study</property>
   <property name="fields">
@@ -62,5 +62,5 @@
   <property name="vocabulary">cos</property>
  </widget>
- <widget name="course2" meta_type="Select Widget">
+ <widget name="course2" meta_type="Application Course Widget">
   <property name="title">2nd Choice Course of Study</property>
   <property name="fields">
@@ -77,5 +77,5 @@
   <property name="vocabulary">cos</property>
  </widget>
- <widget name="course3" meta_type="Select Widget">
+ <widget name="course3" meta_type="Application Course Widget">
   <property name="title">3rd Choice Course of Study</property>
   <property name="fields">
@@ -93,5 +93,5 @@
   <property name="sorted">True</property>
  </widget>
- <widget name="course_admitted" meta_type="Select Widget">
+ <widget name="course_admitted" meta_type="Application Course Widget">
   <property name="title">Admitted Course of Study</property>
   <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 3437)
@@ -630,5 +630,5 @@
   <property name="vocabulary">application_status</property>
  </widget>
-  <widget name="course1" meta_type="Select Widget">
+  <widget name="course1" meta_type="Application Course Widget">
     <property name="title">1st Choice Course of Study</property>
     <property name="fields">
@@ -652,5 +652,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course2" meta_type="Select Widget">
+  <widget name="course2" meta_type="Application Course Widget">
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
@@ -673,5 +673,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course3" meta_type="Select Widget">
+  <widget name="course3" meta_type="Application Course Widget">
     <property name="title">3rd Choice Course of Study</property>
     <property name="fields">
@@ -694,5 +694,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="Select Widget">
+  <widget name="course_admitted" meta_type="Application Course Widget">
     <property name="title">Admitted Course of Study</property>
     <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 3437)
@@ -578,5 +578,5 @@
   <property name="vocabulary">application_status</property>
  </widget>
-  <widget name="course1" meta_type="Select Widget">
+  <widget name="course1" meta_type="Application Course Widget">
     <property name="title">1st Choice Course of Study</property>
     <property name="fields">
@@ -599,5 +599,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course2" meta_type="Select Widget">
+  <widget name="course2" meta_type="Application Course Widget">
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
@@ -620,5 +620,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course3" meta_type="Select Widget">
+  <widget name="course3" meta_type="Application Course Widget">
     <property name="title">3rd Choice Course of Study</property>
     <property name="fields">
@@ -641,5 +641,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="Select Widget">
+  <widget name="course_admitted" meta_type="Application Course Widget">
     <property name="title">Admitted Course of Study</property>
     <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 3437)
@@ -549,5 +549,5 @@
   <property name="vocabulary">application_status</property>
  </widget>
-  <widget name="course1" meta_type="Select Widget">
+  <widget name="course1" meta_type="Application Course Widget">
     <property name="title">1st Choice Course of Study</property>
     <property name="fields">
@@ -570,5 +570,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course2" meta_type="Select Widget">
+  <widget name="course2" meta_type="Application Course Widget">
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
@@ -591,5 +591,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course3" meta_type="Select Widget">
+  <widget name="course3" meta_type="Application Course Widget">
     <property name="title">3rd Choice Course of Study</property>
     <property name="fields">
@@ -613,5 +613,5 @@
   </widget>
 
-  <widget name="course_admitted" meta_type="Select Widget">
+  <widget name="course_admitted" meta_type="Application Course Widget">
     <property name="title">Admitted Course of Study</property>
     <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_sandwich.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_sandwich.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_sandwich.xml	(revision 3437)
@@ -457,5 +457,5 @@
   <property name="vocabulary">application_status</property>
  </widget>
-  <widget name="course1" meta_type="Select Widget">
+  <widget name="course1" meta_type="Application Course Widget">
     <property name="title">1st Choice Course of Study</property>
     <property name="fields">
@@ -478,5 +478,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course2" meta_type="Select Widget">
+  <widget name="course2" meta_type="Application Course Widget">
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
@@ -499,5 +499,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course3" meta_type="Select Widget">
+  <widget name="course3" meta_type="Application Course Widget">
     <property name="title">3rd Choice Course of Study</property>
     <property name="fields">
@@ -520,5 +520,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="Select Widget">
+  <widget name="course_admitted" meta_type="Application Course Widget">
     <property name="title">Admitted Course of Study</property>
     <property name="fields">
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/certificate.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/certificate.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/certificate.xml	(revision 3437)
@@ -66,4 +66,16 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="application_category" meta_type="Select Widget">
+  <property name="title">Application Category</property>
+  <property name="fields">
+   <element value="application_category"/>
+  </property>
+  <property name="label">Application Category</property>
+  <property name="label_edit">Application Category</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">application_categories</property>
+ </widget>
  <widget name="end_level" meta_type="Select Widget">
   <property name="title">End Level</property>
@@ -256,4 +268,7 @@
   </row>
   <row>
+   <cell name="application_category"/>
+  </row>
+  <row>
    <cell name="study_mode"/>
   </row>  
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml	(revision 3437)
@@ -65,12 +65,12 @@
     <property name="label_edit">Current Level</property>
     <property name="is_required">True</property>
-  <property name="description">The last level school fee has been paid for</property>
-  <property name="help">The last level school fee has been paid for</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">unset</property>
-  <property name="sorted">True</property>
- </widget>
+    <property name="description">The last level school fee has been paid for</property>
+    <property name="help">The last level school fee has been paid for</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">unset</property>
+    <property name="sorted">True</property>
+  </widget>
   <widget name="current_verdict" meta_type="WAeUP Verdict Widget">
     <property name="title">Current Verdict</property>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/certificate.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/certificate.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/certificate.xml	(revision 3437)
@@ -5,4 +5,5 @@
  <field name="admin_status" meta_type="CPS String Field"/>
  <field name="category" meta_type="CPS String Field"/>
+ <field name="application_category" meta_type="CPS String Field"/>
  <field name="code" meta_type="CPS String Field">
   <property name="is_searchabletext">False</property>
Index: /WAeUP_SRP/fceokene/profiles/default/vocabularies.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/vocabularies.xml	(revision 3436)
+++ /WAeUP_SRP/fceokene/profiles/default/vocabularies.xml	(revision 3437)
@@ -5,4 +5,5 @@
  <object name="acco_hall_beds" meta_type="CPS Method Vocabulary"/>
  <object name="acco_hall_reserved_rooms" meta_type="CPS Method Vocabulary"/>
+ <object name="application_categories" meta_type="CPS Vocabulary"/>
  <object name="levels" meta_type="CPS Vocabulary"/>
  <object name="student_levels" meta_type="CPS Method Vocabulary"/>
Index: /WAeUP_SRP/fceokene/profiles/default/vocabularies/application_categories.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/vocabularies/application_categories.xml	(revision 3437)
+++ /WAeUP_SRP/fceokene/profiles/default/vocabularies/application_categories.xml	(revision 3437)
@@ -0,0 +1,14 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="cos_cest" meta_type="CPS Vocabulary">
+    <property name="title"></property>
+    <property name="title_msgid"></property>
+    <property name="description"></property>
+    <property name="acl_write_roles">Manager</property>
+
+    <item key="" msgid="">--</item>
+    <item key="BASIC" msgid="">PCE,PDE,PRENCE,PUME</item>
+    <item key="CEST" msgid="">CEST</item>
+    <item key="SANDWICH" msgid="">Sandwich</item>
+
+</object>