Index: /WAeUP_SRP/base/Academics.py
===================================================================
--- /WAeUP_SRP/base/Academics.py	(revision 3437)
+++ /WAeUP_SRP/base/Academics.py	(revision 3438)
@@ -633,9 +633,9 @@
         heading += '"category","study_mode","end_level","m_prefix","max_elect","max_pass",'
         heading += '"n_core","nr_years","original_code","probation_credits",'
-        heading += '"promotion_credits","start_level","admin_status"'
+        heading += '"promotion_credits","start_level","admin_status","application_category"'
         dataline = '"%(code)s","%(review_state)s","%(title)s","%(faculty_code)s","%(department_code)s",'
         dataline += '"%(category)s","%(study_mode)s","%(end_level)s","%(m_prefix)s","%(max_elect)s","%(max_pass)s",'
         dataline += '"%(n_core)s","%(nr_years)s","%(original_code)s","%(probation_credits)s",'
-        dataline += '"%(promotion_credits)s","%(start_level)s","%(admin_status)s"'
+        dataline += '"%(promotion_credits)s","%(start_level)s","%(admin_status)s","%(application_category)s"'
         export.append(heading)
         #import pdb;pdb.set_trace()
@@ -664,4 +664,5 @@
                     di['promotion_credits'] = getattr(certificate_d,'promotion_credits',None)
                     di['start_level'] = getattr(certificate_d,'start_level',None)
+                    di['application_category'] = getattr(certificate_d,'application_category',None)
                     di['code'] = di['code'] or certificate.id
                     di['review_state'] = self.portal_workflow.getInfoFor(certificate,'review_state','no_state')
Index: /WAeUP_SRP/base/Widgets.py
===================================================================
--- /WAeUP_SRP/base/Widgets.py	(revision 3437)
+++ /WAeUP_SRP/base/Widgets.py	(revision 3438)
@@ -787,5 +787,5 @@
         self._dict = d
         self._msgids = m
-    
+
     def __getitem__(self, key):
         """Get a label for a key."""
@@ -849,8 +849,8 @@
     def _getVocabulary(self,datastructure=None):
         if self.REQUEST.traverse_subpath:
-            screening_type = self.REQUEST.traverse_subpath[0].upper()
-        else:
-            screening_type = 'ALL'
-        if screening_type in ("ALL","CEST","SANDWICH"):
+            screening_type = self.REQUEST.traverse_subpath[0].lower()
+        else:
+            screening_type = 'all'
+        if screening_type in ("all","cest","sandwich"):
             application_category = screening_type
         else:
@@ -866,5 +866,5 @@
         l  = []
         for k,d in self._v_certificates_docs.items():
-            if application_category == "ALL":
+            if application_category == "all":
                 l  += (k,self._v_certificates_docs[k].title,k),
             else:
@@ -873,5 +873,5 @@
         #import ipdb;ipdb.set_trace()
         return VocabularyOnTheFly(l)
-                                        
+
 InitializeClass(ApplicationCourseWidget)
 
Index: /WAeUP_SRP/base/skins/waeup_utilities/fillApplicationCategory.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_utilities/fillApplicationCategory.py	(revision 3437)
+++ /WAeUP_SRP/base/skins/waeup_utilities/fillApplicationCategory.py	(revision 3438)
@@ -1,3 +1,3 @@
-## Script (Python) "ti_507_resolve"
+## Script (Python) "fillApplicationCategory"
 ##bind container=container
 ##bind context=context
@@ -36,4 +36,5 @@
 logger.info('start')
 count = 0
+not_count = 0
 found = 0
 commit_after = 1000
@@ -41,7 +42,7 @@
 certificates = context.portal_catalog.search({'meta_type': "Certificate"})
 logger.info("found %d certificates" % len(certificates))
-cat = {'cos': 'BASIC',
-       'cos_cest': 'CEST',
-       'cos_sandwich': 'SANDWICH',
+cat = {'cos': 'basic',
+       'cos_cest': 'cest',
+       'cos_sandwich': 'sandwich',
        }
 to_change = {}
@@ -59,7 +60,10 @@
         logger.info("%s in %s" % (cert.id,','.join(found)))
         count += 1
+    else:
+        not_count += 1
+        logger.info("%s not in vocabularies" % (cert.id,))
 for cert,d in to_change.items():
     d['cert_doc'].edit(mapping = d)
-    logger.info("set application_category of %s to %s" % 
+    logger.info("set application_category of %s to %s" %
                (cert,d['application_category']))
-logger.info("found %d not in vocabularies" % count)
+logger.info("%d cert codes found, %d not found in vocabularies" % (count,not_count))
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 3438)
@@ -474,5 +474,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos_cest</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -495,5 +494,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos_cest</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -517,5 +515,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_cest</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -541,5 +538,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_cest</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 3438)
@@ -646,5 +646,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_combined</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -667,5 +666,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_combined</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -688,5 +686,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_combined</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -710,5 +707,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_combined</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -730,5 +726,5 @@
     <property name="vocabulary">high_qual</property>
   </widget>
-  
+
   <widget name="hq_grade" meta_type="Select Widget">
       <property name="title">Higher Qualification Grade</property>
@@ -940,5 +936,5 @@
       <property name="hidden_readonly_layout_modes"/>
   </widget>
-  
+
 
   <widget name="aos" meta_type="Select Widget">
@@ -1030,8 +1026,8 @@
   <row>
    <cell name="passport" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="aos" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="course1" ncols="2"/>
@@ -1043,6 +1039,6 @@
    <cell name="course3" ncols="2"/>
   </row>
-      
-  
+
+
     <row>
       <cell name="hq_matric_no"/>
@@ -1063,5 +1059,5 @@
       <cell name="hq_disc"/>
     </row>
-  
+
     <row>
       <cell name="fst_sit_fname"/>
@@ -1093,6 +1089,6 @@
     <row>
       <cell name="scd_sit_results"/>
-    </row>  
- 
+    </row>
+
 
 
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 3438)
@@ -60,5 +60,4 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
-  <property name="vocabulary">cos</property>
  </widget>
  <widget name="course2" meta_type="Application Course Widget">
@@ -75,5 +74,4 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
-  <property name="vocabulary">cos</property>
  </widget>
  <widget name="course3" meta_type="Application Course Widget">
@@ -90,5 +88,4 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
-  <property name="vocabulary">cos</property>
   <property name="sorted">True</property>
  </widget>
@@ -110,5 +107,4 @@
   <property name="hidden_empty">True</property>
   <property name="css_class_expr">string:row</property>
-  <property name="vocabulary">cos</property>
   <property name="sorted">True</property>
  </widget>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 3438)
@@ -649,5 +649,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -670,5 +669,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -691,5 +689,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -715,5 +712,4 @@
     <property name="hidden_empty">True</property>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 3438)
@@ -595,5 +595,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -616,5 +615,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -638,5 +636,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -662,5 +659,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 3438)
@@ -567,5 +567,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -588,5 +587,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -609,5 +607,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -634,5 +631,4 @@
     <property name="hidden_empty">True</property>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_sandwich.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_sandwich.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_sandwich.xml	(revision 3438)
@@ -474,5 +474,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos_sandwich</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -495,5 +494,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos_sandwich</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -517,5 +515,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_sandwich</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -541,5 +538,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_sandwich</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -829,9 +825,9 @@
       <cell name="date_of_birth" ncols="2"/>
     </row>
-    
+
     <row>
       <cell name="sex" ncols="2"/>
-    </row>    
-    
+    </row>
+
      <row>
       <cell name="passport" ncols="2"/>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_certificate.xml	(revision 3438)
@@ -160,5 +160,16 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">entry_modes</property>
+ </widget>
+ <widget name="application_category" meta_type="Application Course Widget">
+  <property name="title">Application Category</property>
+  <property name="fields">
+   <element value="application_category"/>
+  </property>
+  <property name="label">Application Category</property>
+  <property name="label_edit">Application Category</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
  </widget> 
- 
+
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/import_certificate.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/import_certificate.xml	(revision 3437)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/import_certificate.xml	(revision 3438)
@@ -16,3 +16,4 @@
  <field name="start_level" meta_type="CPS String Field"/>
  <field name="study_mode" meta_type="CPS String Field"/>
+ <field name="application_category" meta_type="CPS String Field"/>
 </object>