Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_cest.xml	(revision 3440)
@@ -474,5 +474,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos_cest</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -495,5 +494,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos_cest</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -517,5 +515,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_cest</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -541,5 +538,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_cest</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 3440)
@@ -646,5 +646,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_combined</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -667,5 +666,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_combined</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -688,5 +686,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_combined</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -710,5 +707,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_combined</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -730,5 +726,5 @@
     <property name="vocabulary">high_qual</property>
   </widget>
-  
+
   <widget name="hq_grade" meta_type="Select Widget">
       <property name="title">Higher Qualification Grade</property>
@@ -940,5 +936,5 @@
       <property name="hidden_readonly_layout_modes"/>
   </widget>
-  
+
 
   <widget name="aos" meta_type="Select Widget">
@@ -1030,8 +1026,8 @@
   <row>
    <cell name="passport" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="aos" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="course1" ncols="2"/>
@@ -1043,6 +1039,6 @@
    <cell name="course3" ncols="2"/>
   </row>
-      
-  
+
+
     <row>
       <cell name="hq_matric_no"/>
@@ -1063,5 +1059,5 @@
       <cell name="hq_disc"/>
     </row>
-  
+
     <row>
       <cell name="fst_sit_fname"/>
@@ -1093,6 +1089,6 @@
     <row>
       <cell name="scd_sit_results"/>
-    </row>  
- 
+    </row>
+
 
 
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 3440)
@@ -60,5 +60,4 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
-  <property name="vocabulary">cos</property>
  </widget>
  <widget name="course2" meta_type="Application Course Widget">
@@ -75,5 +74,4 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
-  <property name="vocabulary">cos</property>
  </widget>
  <widget name="course3" meta_type="Application Course Widget">
@@ -90,5 +88,4 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
-  <property name="vocabulary">cos</property>
   <property name="sorted">True</property>
  </widget>
@@ -110,5 +107,4 @@
   <property name="hidden_empty">True</property>
   <property name="css_class_expr">string:row</property>
-  <property name="vocabulary">cos</property>
   <property name="sorted">True</property>
  </widget>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 3440)
@@ -649,5 +649,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -670,5 +669,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -691,5 +689,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -715,5 +712,4 @@
     <property name="hidden_empty">True</property>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 3440)
@@ -595,5 +595,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -616,5 +615,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -638,5 +636,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -662,5 +659,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 3440)
@@ -567,5 +567,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -588,5 +587,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -609,5 +607,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -634,5 +631,4 @@
     <property name="hidden_empty">True</property>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_sandwich.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_sandwich.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_sandwich.xml	(revision 3440)
@@ -474,5 +474,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos_sandwich</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -495,5 +494,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="vocabulary">cos_sandwich</property>
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
@@ -517,5 +515,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_sandwich</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -541,5 +538,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos_sandwich</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -829,9 +825,9 @@
       <cell name="date_of_birth" ncols="2"/>
     </row>
-    
+
     <row>
       <cell name="sex" ncols="2"/>
-    </row>    
-    
+    </row>
+
      <row>
       <cell name="passport" ncols="2"/>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml	(revision 3440)
@@ -588,5 +588,5 @@
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
-      <element value="course3"/>
+      <element value="course2"/>
     </property>
     <property name="label">2nd Choice Course of Study</property>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml	(revision 3440)
@@ -160,5 +160,16 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">entry_modes</property>
+ </widget>
+ <widget name="application_category" meta_type="Application Course Widget">
+  <property name="title">Application Category</property>
+  <property name="fields">
+   <element value="application_category"/>
+  </property>
+  <property name="label">Application Category</property>
+  <property name="label_edit">Application Category</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
  </widget> 
- 
+
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml	(revision 3440)
@@ -16,3 +16,4 @@
  <field name="start_level" meta_type="CPS String Field"/>
  <field name="study_mode" meta_type="CPS String Field"/>
+ <field name="application_category" meta_type="CPS String Field"/>
 </object>
Index: /WAeUP_SRP/fceokene/profiles/default/vocabularies/application_categories.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/vocabularies/application_categories.xml	(revision 3439)
+++ /WAeUP_SRP/fceokene/profiles/default/vocabularies/application_categories.xml	(revision 3440)
@@ -8,7 +8,7 @@
 
     <item key="" msgid="">--</item>
-    <item key="BASIC" msgid="">PCE,PDE,PRENCE,PUME</item>
-    <item key="CEST" msgid="">CEST</item>
-    <item key="SANDWICH" msgid="">Sandwich</item>
+    <item key="basic" msgid="">PCE,PDE,PRENCE,PUME</item>
+    <item key="cest" msgid="">CEST</item>
+    <item key="sandwich" msgid="">Sandwich</item>
 
 </object>