Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 3444)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 3445)
@@ -181,20 +181,4 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="entry_mode" meta_type="String Widget">
-    <property name="title">Entry Mode</property>
-    <property name="fields">
-      <element value="entry_mode"/>
-    </property>
-    <property name="label">Entry Mode</property>
-    <property name="label_edit">Entry Mode</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
   <widget name="faculty" meta_type="String Widget">
     <property name="title">Faculty</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 3444)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 3445)
@@ -180,20 +180,4 @@
       <element value="create"/>
     </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="entry_mode" meta_type="String Widget">
-    <property name="title">Entry Mode</property>
-    <property name="fields">
-      <element value="entry_mode"/>
-    </property>
-    <property name="label">Entry Mode</property>
-    <property name="label_edit">Entry Mode</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 3444)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 3445)
@@ -172,16 +172,4 @@
   <property name="css_class_expr">string:row</property>
  </widget>
- <widget name="entry_mode" meta_type="String Widget">
-  <property name="title">Entry Mode</property>
-  <property name="fields">
-   <element value="entry_mode"/>
-  </property>
-  <property name="label">Entry Mode</property>
-  <property name="label_edit">Entry Mode</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="css_class_expr">string:row</property>
- </widget>
  <widget name="faculty" meta_type="String Widget">
   <property name="title">Faculty</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 3444)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 3445)
@@ -190,20 +190,4 @@
       <element value="create"/>
     </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="entry_mode" meta_type="String Widget">
-    <property name="title">Entry Mode</property>
-    <property name="fields">
-      <element value="entry_mode"/>
-    </property>
-    <property name="label">Entry Mode</property>
-    <property name="label_edit">Entry Mode</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 3444)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 3445)
@@ -154,20 +154,4 @@
       <element value="create"/>
     </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="entry_mode" meta_type="String Widget">
-    <property name="title">Entry Mode</property>
-    <property name="fields">
-      <element value="entry_mode"/>
-    </property>
-    <property name="label">Entry Mode</property>
-    <property name="label_edit">Entry Mode</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 3444)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 3445)
@@ -125,20 +125,4 @@
       <element value="create"/>
     </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  <widget name="entry_mode" meta_type="String Widget">
-    <property name="title">Entry Mode</property>
-    <property name="fields">
-      <element value="entry_mode"/>
-    </property>
-    <property name="label">Entry Mode</property>
-    <property name="label_edit">Entry Mode</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_sandwich.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_sandwich.xml	(revision 3444)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_sandwich.xml	(revision 3445)
@@ -181,20 +181,4 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="entry_mode" meta_type="String Widget">
-    <property name="title">Entry Mode</property>
-    <property name="fields">
-      <element value="entry_mode"/>
-    </property>
-    <property name="label">Entry Mode</property>
-    <property name="label_edit">Entry Mode</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
   <widget name="faculty" meta_type="String Widget">
     <property name="title">Faculty</property>