Index: /WAeUP_SRP/base/Students.py
===================================================================
--- /WAeUP_SRP/base/Students.py	(revision 3446)
+++ /WAeUP_SRP/base/Students.py	(revision 3447)
@@ -515,17 +515,17 @@
     security = ClassSecurityInfo()
 
-    security.declareProtected(View,"Title")
-    def Title(self):
-        """compose title"""
-        reg_nr = self.getId()[1:]
-        data = getattr(self,'personal',None)
-        if data:
-            content = data.getContent()
-            return "%s %s %s" % (content.firstname,content.middlename,content.lastname)
-        data = getattr(self,'application',None)
-        if data:
-            content = data.getContent()
-            return "%s" % (content.jamb_lastname)
-        return self.title
+    # security.declareProtected(View,"Title")
+    # def Title(self):
+    #     """compose title"""
+    #     reg_nr = self.getId()[1:]
+    #     data = getattr(self,'personal',None)
+    #     if data:
+    #         content = data.getContent()
+    #         return "%s %s %s" % (content.firstname,content.middlename,content.lastname)
+    #     data = getattr(self,'application',None)
+    #     if data:
+    #         content = data.getContent()
+    #         return "%s" % (content.jamb_lastname)
+    #     return self.title
 
     security.declarePrivate('makeStudentMember') ###(
Index: /WAeUP_SRP/base/doc/srp_documentation.mm
===================================================================
--- /WAeUP_SRP/base/doc/srp_documentation.mm	(revision 3446)
+++ /WAeUP_SRP/base/doc/srp_documentation.mm	(revision 3447)
@@ -5,5 +5,5 @@
 <node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
 <node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
-<node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
+<node CREATED="1170079643589" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
 <node CREATED="1171710577379" ID="Freemind_Link_1444831124" MODIFIED="1171710589887" TEXT="Id: academics"/>
 <node CREATED="1170080366716" FOLDED="true" ID="Freemind_Link_415048819" MODIFIED="1171709591652" TEXT="{Faculties}">
@@ -24,5 +24,5 @@
 </node>
 </node>
-<node CREATED="1170080432978" FOLDED="true" ID="Freemind_Link_562751" MODIFIED="1170080631195" TEXT="Certificates">
+<node CREATED="1170080432978" ID="Freemind_Link_562751" MODIFIED="1170080631195" TEXT="Certificates">
 <node CREATED="1171710395037" ID="Freemind_Link_404484787" LINK="../profiles/default/types/CertificatesFolder.xml" MODIFIED="1172589301562" TEXT="Type: CertificatesFolder"/>
 <node CREATED="1171710418961" ID="Freemind_Link_1593662067" MODIFIED="1171710429717" TEXT="Id: certificates"/>
@@ -42,6 +42,31 @@
 </node>
 </node>
-</node>
-<node CREATED="1170082138244" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
+<node CREATED="1206110102419" ID="ID_1052341011" MODIFIED="1206110113139" TEXT="Data Import">
+<node CREATED="1206110116296" FOLDED="true" ID="ID_1878513642" MODIFIED="1208286227809" TEXT="Certificate">
+<node CREATED="1171124926993" ID="ID_1908274273" LINK="../profiles/default/schemas/import_certificate.xml" MODIFIED="1208285406877" TEXT="Schema: import_certificate"/>
+<node CREATED="1171124982312" ID="ID_775802075" LINK="../profiles/default/layouts/import_certificate.xml" MODIFIED="1208285446241" TEXT="Layout: import_certificate"/>
+</node>
+<node CREATED="1206110116296" FOLDED="true" ID="ID_1885400936" MODIFIED="1208286205140" TEXT="Certificate Course">
+<node CREATED="1171124926993" ID="ID_1445263432" LINK="../profiles/default/schemas/import_certificate_course.xml" MODIFIED="1208285678849" TEXT="Schema: import_certificate_course">
+<font NAME="SansSerif" SIZE="12"/>
+</node>
+<node CREATED="1171124982312" ID="ID_1625728957" LINK="../profiles/default/layouts/import_certificate_course.xml" MODIFIED="1208285714057" TEXT="Layout: import_certificate_course"/>
+</node>
+<node CREATED="1206110116296" ID="ID_1061820451" MODIFIED="1208286151391" TEXT="Course">
+<node CREATED="1171124926993" ID="ID_1001183102" LINK="../profiles/default/schemas/import_course.xml" MODIFIED="1208285671778" TEXT="Schema: import_course"/>
+<node CREATED="1171124982312" ID="ID_1217966570" LINK="../profiles/default/layouts/import_course.xml" MODIFIED="1208285743628" TEXT="Layout: import_course"/>
+</node>
+<node CREATED="1206110116296" FOLDED="true" ID="ID_1864112840" MODIFIED="1208285967064" TEXT="Department">
+<node CREATED="1171124926993" ID="ID_1219710576" LINK="../profiles/default/schemas/import_department.xml" MODIFIED="1208285985241" TEXT="Schema: import_department"/>
+<node CREATED="1171124982312" ID="ID_864509023" LINK="../profiles/default/layouts/import_department.xml" MODIFIED="1208286011226" TEXT="Layout: import_department"/>
+</node>
+<node CREATED="1206110116296" FOLDED="true" ID="ID_237965601" MODIFIED="1208286091029" TEXT="Faculty">
+<node CREATED="1171124926993" ID="ID_946950061" LINK="../profiles/default/schemas/import_faculty.xml" MODIFIED="1208286066427" TEXT="Schema: import_faculty"/>
+<node CREATED="1171124982312" ID="ID_1880021763" LINK="../profiles/default/layouts/import_faculty.xml" MODIFIED="1208286122206" TEXT="Layout: import_faculty"/>
+</node>
+</node>
+<node CREATED="1171712109062" ID="Freemind_Link_769089546" LINK="../profiles/default/courses_catalog.xml" MODIFIED="1172055793074" TEXT="Courses Catalog"/>
+</node>
+<node CREATED="1170082138244" FOLDED="true" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
 <node CREATED="1171709784119" ID="_" MODIFIED="1171709937449" TEXT="Type: StudentsFolder" VSHIFT="104"/>
 <node CREATED="1171710545564" ID="Freemind_Link_221165828" MODIFIED="1171710551332" TEXT="Id: students"/>
@@ -181,5 +206,5 @@
 <node CREATED="1172156481009" ID="Freemind_Link_1231607035" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
 </node>
-<node CREATED="1170082404788" FOLDED="true" ID="Freemind_Link_1932365066" MODIFIED="1173164769927" TEXT="{StudentStudyLevels}">
+<node CREATED="1170082404788" ID="Freemind_Link_1932365066" MODIFIED="1173164769927" TEXT="{StudentStudyLevels}">
 <node CREATED="1171711225441" ID="Freemind_Link_1643185567" LINK="../profiles/default/types/StudentStudyLevel.xml" MODIFIED="1172159926125" TEXT="Type: StudentStudyLevel"/>
 <node CREATED="1171711252019" ID="Freemind_Link_1974988388" LINK="../profiles/default/schemas/student_study_level.xml" MODIFIED="1172160137485" TEXT="Schema: student_study_level"/>
@@ -201,45 +226,14 @@
 </node>
 </node>
-<node CREATED="1170082164451" FOLDED="true" ID="Freemind_Link_1991619732" MODIFIED="1175265930974" TEXT="Pume Data">
-<node CREATED="1170083733194" ID="Freemind_Link_474120928" MODIFIED="1175265946729" TEXT="Id: pume"/>
-<node CREATED="1170083603042" ID="Freemind_Link_1353178566" LINK="../profiles/default/types/StudentPume.xml" MODIFIED="1175265977383" TEXT="Type: StudentPume"/>
-<node CREATED="1170083649773" ID="Freemind_Link_1635748093" LINK="../profiles/default/schemas/student_pume.xml" MODIFIED="1175266051911" TEXT="Schema: student_pume"/>
-<node CREATED="1171353188624" FOLDED="true" ID="Freemind_Link_1752727630" LINK="../profiles/default/workflows/waeup_student_subobject_wf/definition.xml" MODIFIED="1172163415549" TEXT="Workflow: waeup_student_subobject_wf">
-<node CREATED="1172156481009" ID="Freemind_Link_615932491" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
-</node>
-<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_1769098562" MODIFIED="1172162754390" TEXT="User Interface">
-<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_1332793129" MODIFIED="1172163796143" TEXT="Student">
-<node CREATED="1171124982312" ID="Freemind_Link_1964031449" LINK="../profiles/default/layouts/student_pume.xml" MODIFIED="1175266093912" TEXT="Layout: student_pume" VSHIFT="2"/>
-<node CREATED="1172488817664" FOLDED="true" ID="Freemind_Link_183452447" MODIFIED="1172488820358" TEXT="view">
-<node CREATED="1172163808013" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172488857021" TEXT="PT: application_slip"/>
-<node CREATED="1172163797590" ID="Freemind_Link_1061894954" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1178091232930" TEXT="PT: application_view"/>
-</node>
-<node CREATED="1172488821089" FOLDED="true" ID="Freemind_Link_1024852395" MODIFIED="1172488823242" TEXT="edit">
-<node CREATED="1172163808013" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172488851172" TEXT="PT: application_edit_form"/>
-<node CREATED="1172163808013" ID="Freemind_Link_987823120" LINK="../skins/waeup_student/application_edit.py" MODIFIED="1178091292813" TEXT="PY: application_edit"/>
-</node>
-</node>
-<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_156982782" MODIFIED="1172488273241" TEXT="Officer">
-<node CREATED="1171124982312" LINK="../profiles/default/layouts/student_application.xml" MODIFIED="1172488456165" TEXT="Layout: student_application" VSHIFT="2"/>
-<node CREATED="1172488875157" FOLDED="true" ID="Freemind_Link_1326488938" MODIFIED="1172488877500" TEXT="view">
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_document_view.pt" MODIFIED="1172488738180" TEXT="PT: waeup_document_view"/>
-</node>
-<node CREATED="1172488878061" FOLDED="true" ID="Freemind_Link_1633752071" MODIFIED="1172488879643" TEXT="edit">
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit.py" MODIFIED="1172488745821" TEXT="PY: waeup_edit"/>
-<node CREATED="1172163808013" LINK="../skins/waeup_default/waeup_edit_form.pt" MODIFIED="1172488792728" TEXT="PT: waeup_edit_form"/>
-</node>
-</node>
-</node>
-</node>
 <node CREATED="1206110102419" ID="ID_535009408" MODIFIED="1206110113139" TEXT="Data Import">
-<node CREATED="1206110116296" ID="ID_1977539873" MODIFIED="1206110147170" TEXT="Student">
+<node CREATED="1206110116296" FOLDED="true" ID="ID_1977539873" MODIFIED="1206110147170" TEXT="Student">
 <node CREATED="1171124926993" ID="ID_677833643" LINK="../profiles/default/schemas/import_student.xml" MODIFIED="1206110297279" TEXT="Schema: import_student"/>
 <node CREATED="1171124982312" ID="ID_246147802" LINK="../profiles/default/layouts/import_student.xml" MODIFIED="1206110362376" TEXT="Layout: import_student"/>
 </node>
-<node CREATED="1206110116296" ID="ID_53520087" MODIFIED="1206110772812" TEXT="Student Study Level">
-<node CREATED="1171124926993" ID="ID_275196857" LINK="../profiles/default/schemas/import_student_study_level.xml" MODIFIED="1206110496797" TEXT="Schema: import_student_study_level"/>
+<node CREATED="1206110116296" FOLDED="true" ID="ID_53520087" MODIFIED="1206110772812" TEXT="Student Study Level">
+<node CREATED="1171124926993" ID="ID_275196857" LINK="../profiles/default/schemas/import_student_study_level.xml" MODIFIED="1208286532415" TEXT="Schema: import_student_study_level"/>
 <node CREATED="1171124982312" ID="ID_1813331706" LINK="../profiles/default/layouts/import_student_study_level.xml" MODIFIED="1206110506764" TEXT="Layout: import_student_study_level"/>
 </node>
-<node CREATED="1206110116296" ID="ID_1116667508" MODIFIED="1206110589175" TEXT="Student Course Results">
+<node CREATED="1206110116296" FOLDED="true" ID="ID_1116667508" MODIFIED="1206110589175" TEXT="Student Course Results">
 <node CREATED="1171124926993" ID="ID_1895773400" LINK="../profiles/default/schemas/import_course_result.xml" MODIFIED="1206110707820" TEXT="Schema: import_course_result"/>
 <node CREATED="1171124982312" ID="ID_1828896749" LINK="../profiles/default/layouts/import_course_result.xml" MODIFIED="1206110733175" TEXT="Layout: import_course_result"/>
@@ -271,12 +265,55 @@
 </node>
 </node>
-</node>
-<node CREATED="1170082502675" FOLDED="true" ID="Freemind_Link_1051871348" MODIFIED="1171710707226" TEXT="Accommodation Section">
+<node CREATED="1170931308473" ID="ID_989565835" MODIFIED="1170931315740" TEXT="Catalogs">
+<node CREATED="1171712109062" ID="ID_328708983" LINK="../profiles/default/course_results.xml" MODIFIED="1186484772138" TEXT="Course Results"/>
+<node CREATED="1171712109062" ID="ID_1440239130" LINK="../profiles/default/payments_catalog.xml" MODIFIED="1194941577384" TEXT="Payments Catalog"/>
+<node CREATED="1171712154817" ID="ID_757179037" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
+<node CREATED="1171712063356" ID="ID_169577978" LINK="../profiles/default/returning_import.xml" MODIFIED="1172055126664" TEXT="Returning Import Table"/>
+<node CREATED="1171712077046" ID="ID_595137901" LINK="../profiles/default/results_import.xml" MODIFIED="1172055188090" TEXT="Session Results Import Table"/>
+<node CREATED="1171712109062" ID="ID_975105997" LINK="../profiles/default/students_catalog.xml" MODIFIED="1172055153081" TEXT="Students Catalog"/>
+</node>
+</node>
+<node CREATED="1208281668015" FOLDED="true" ID="ID_511152670" MODIFIED="1208281683119" TEXT="Application Section">
+<node CREATED="1171712109062" ID="Freemind_Link_1264506858" LINK="../profiles/default/applicants_catalog.xml" MODIFIED="1187006324354" TEXT="Applicants Catalog"/>
+<node CREATED="1208281729839" ID="ID_1305854055" MODIFIED="1208281944449" TEXT="cest">
+<node CREATED="1208281996654" ID="ID_1549826738" LINK="../profiles/default/layouts/application_cest.xml" MODIFIED="1208282074955" TEXT="application_cest"/>
+<node CREATED="1208282446762" ID="ID_1501455103" MODIFIED="1208282480531" TEXT="apply_admission.py"/>
+</node>
+<node CREATED="1208281878289" ID="ID_238767434" MODIFIED="1208281884650" TEXT="pce">
+<node CREATED="1208281996654" ID="ID_1880920414" LINK="../profiles/default/layouts/application_pce.xml" MODIFIED="1208282194557" TEXT="application_pce"/>
+<node CREATED="1208282446762" ID="ID_1239065479" MODIFIED="1208282480531" TEXT="apply_admission.py"/>
+</node>
+<node CREATED="1208281905428" ID="ID_8753627" MODIFIED="1208281910571" TEXT="pde">
+<node CREATED="1208281996654" ID="ID_388543480" LINK="../profiles/default/layouts/application_pde.xml" MODIFIED="1208282234925" TEXT="application_pde"/>
+<node CREATED="1208282446762" ID="ID_1916827806" MODIFIED="1208282480531" TEXT="apply_admission.py"/>
+</node>
+<node CREATED="1208281885988" ID="ID_1611696254" MODIFIED="1208281895350" TEXT="prence">
+<node CREATED="1208281996654" ID="ID_509959224" LINK="../profiles/default/layouts/application_prence.xml" MODIFIED="1208282335129" TEXT="application_prence"/>
+<node CREATED="1208282446762" ID="ID_1491457367" MODIFIED="1208282480531" TEXT="apply_admission.py"/>
+</node>
+<node CREATED="1208281897229" ID="ID_333914163" MODIFIED="1208281904589" TEXT="pume">
+<node CREATED="1208281996654" ID="ID_1869260497" LINK="../profiles/default/layouts/application_pume.xml" MODIFIED="1208282375870" TEXT="application_pume"/>
+<node CREATED="1208282446762" ID="ID_447401844" MODIFIED="1208282480531" TEXT="apply_admission.py"/>
+</node>
+<node CREATED="1208281838262" ID="ID_1442621184" MODIFIED="1208281876952" TEXT="sandwich">
+<node CREATED="1208281996654" ID="ID_83915201" LINK="../profiles/default/layouts/application_cest.xml" MODIFIED="1208282391062" TEXT="application_sandwich"/>
+<node CREATED="1208282446762" ID="ID_1009097450" MODIFIED="1208282480531" TEXT="apply_admission.py"/>
+</node>
+<node CREATED="1208281911455" ID="ID_359350340" MODIFIED="1208281927378" TEXT="manage">
+<node CREATED="1208281996654" ID="ID_32666390" LINK="../profiles/default/layouts/application_manage.xml" MODIFIED="1208282439720" TEXT="application_manage"/>
+<node CREATED="1208282446762" ID="ID_177177392" MODIFIED="1208282533193" TEXT="apply_admission_manage.py.py"/>
+</node>
+<node CREATED="1206110116296" FOLDED="true" ID="ID_1019386768" MODIFIED="1208367672997" TEXT="Application Import">
+<node CREATED="1171124926993" ID="ID_562917522" LINK="../profiles/default/schemas/import_application.xml" MODIFIED="1208285122190" TEXT="Schema: import_application"/>
+<node CREATED="1171124982312" ID="ID_64354993" LINK="../profiles/default/layouts/import_application.xml" MODIFIED="1208285159013" TEXT="Layout: import_application"/>
+</node>
+</node>
+<node CREATED="1170082502675" ID="Freemind_Link_1051871348" MODIFIED="1171710707226" TEXT="Accommodation Section">
 <node CREATED="1171710631948" ID="Freemind_Link_161316738" MODIFIED="1171710638848" TEXT="Id: accommodation"/>
 <node CREATED="1171114205479" ID="Freemind_Link_685193459" LINK="../profiles/default/types/AccoFolder.xml" MODIFIED="1171360542032" TEXT="Type: AccoFolder"/>
-<node CREATED="1170082513362" FOLDED="true" ID="Freemind_Link_579142716" MODIFIED="1171710738261" TEXT="{Halls}">
+<node CREATED="1170082513362" ID="Freemind_Link_579142716" MODIFIED="1171710738261" TEXT="{Halls}">
 <node CREATED="1171114205479" ID="Freemind_Link_913388948" LINK="../profiles/default/types/AccoHall.xml" MODIFIED="1171360892599" TEXT="Type: AccoHall"/>
 <node CREATED="1171124926993" ID="Freemind_Link_108322260" LINK="../profiles/default/schemas/acco_hall.xml" MODIFIED="1171361085015" TEXT="Schema: acco_hall"/>
-<node CREATED="1171124982312" ID="Freemind_Link_378355401" LINK="../profiles/default/layouts/acco_hall.xml" MODIFIED="1171361118597" TEXT="Layout: acco_hall"/>
+<node CREATED="1171124982312" ID="Freemind_Link_378355401" LINK="../profiles/default/layouts/acco_hall.xml" MODIFIED="1208282050858" TEXT="Layout: acco_hall"/>
 <node CREATED="1171362437684" FOLDED="true" ID="Freemind_Link_1642729597" MODIFIED="1171362486789" TEXT="User Interface">
 <node CREATED="1171362489012" FOLDED="true" ID="Freemind_Link_550352037" MODIFIED="1171362509942" TEXT="book_reserved_bed">
@@ -291,4 +328,7 @@
 <node CREATED="1171381191363" ID="Freemind_Link_1384539281" MODIFIED="1171381247729" TEXT="Student"/>
 <node CREATED="1171381259796" ID="Freemind_Link_43065296" MODIFIED="1171381265497" TEXT="Officer"/>
+</node>
+<node CREATED="1170931308473" ID="ID_1255666316" MODIFIED="1170931315740" TEXT="Catalogs">
+<node CREATED="1171712082483" ID="ID_1099267128" LINK="../profiles/default/accommodation.xml" MODIFIED="1172055262232" TEXT="Accommodation Table"/>
 </node>
 </node>
@@ -301,5 +341,7 @@
 <node CREATED="1171711076978" ID="Freemind_Link_1234518938" LINK="../profiles/default/layouts/scratch_card_batch.xml" MODIFIED="1184064714987" TEXT="Layout: scratch_card_batch"/>
 </node>
-</node>
+<node CREATED="1171712137653" ID="ID_387045551" LINK="../profiles/default/pins.xml" MODIFIED="1172055286995" TEXT="Pins Table"/>
+</node>
+<node CREATED="1170931319920" ID="ID_583458673" MODIFIED="1171712108641" TEXT="Portal Catalog"/>
 </node>
 <node CREATED="1171711725971" FOLDED="true" ID="Freemind_Link_716743966" MODIFIED="1171711849759" TEXT="Directories">
@@ -308,17 +350,4 @@
 <node CREATED="1171711995008" ID="Freemind_Link_861199985" MODIFIED="1171712311913" TEXT="Students"/>
 <node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
-</node>
-<node CREATED="1170931308473" ID="Freemind_Link_249696543" MODIFIED="1170931315740" TEXT="Catalogs">
-<node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1171712108641" TEXT="Portal Catalog"/>
-<node CREATED="1171712082483" ID="Freemind_Link_1157029282" LINK="../profiles/default/accommodation.xml" MODIFIED="1172055262232" TEXT="Accommodation Table"/>
-<node CREATED="1171712109062" ID="Freemind_Link_1264506858" LINK="../profiles/default/applicants_catalog.xml" MODIFIED="1187006324354" TEXT="Applicants Catalog"/>
-<node CREATED="1171712109062" ID="Freemind_Link_769089546" LINK="../profiles/default/courses_catalog.xml" MODIFIED="1172055793074" TEXT="Courses Catalog"/>
-<node CREATED="1171712109062" ID="Freemind_Link_964376607" LINK="../profiles/default/course_results.xml" MODIFIED="1186484772138" TEXT="Course Results"/>
-<node CREATED="1171712109062" ID="Freemind_Link_1489747181" LINK="../profiles/default/payments_catalog.xml" MODIFIED="1194941577384" TEXT="Payments Catalog"/>
-<node CREATED="1171712137653" ID="Freemind_Link_371928033" LINK="../profiles/default/pins.xml" MODIFIED="1172055286995" TEXT="Pins Table"/>
-<node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
-<node CREATED="1171712063356" ID="Freemind_Link_1865945880" LINK="../profiles/default/returning_import.xml" MODIFIED="1172055126664" TEXT="Returning Import Table"/>
-<node CREATED="1171712077046" ID="Freemind_Link_1703381403" LINK="../profiles/default/results_import.xml" MODIFIED="1172055188090" TEXT="Session Results Import Table"/>
-<node CREATED="1171712109062" ID="Freemind_Link_879910437" LINK="../profiles/default/students_catalog.xml" MODIFIED="1172055153081" TEXT="Students Catalog"/>
 </node>
 <node CREATED="1172001308558" FOLDED="true" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
@@ -342,5 +371,5 @@
 <node CREATED="1200931065202" ID="Freemind_Link_1866715831" MODIFIED="1200931080820" POSITION="left" TEXT="New Documentation">
 <node CREATED="1200500254038" ID="Freemind_Link_1876930383" LINK="../../WAeUP_Doc/ImportVerdicts.html" MODIFIED="1200931201900" TEXT="Import Verdicts HOWTO"/>
-<node CREATED="1200500254038" ID="Freemind_Link_1970450916" LINK="../../WAeUP_Doc/ImportNew.html" MODIFIED="1203323590449" TEXT="New Import procedure "/>
+<node CREATED="1200500254038" ID="Freemind_Link_1970450916" LINK="../../../WAeUP_Doc/ImportNew.html" MODIFIED="1206804957824" TEXT="New Import procedure "/>
 </node>
 <node CREATED="1172489553062" FOLDED="true" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="left" TEXT="Glossary">
@@ -357,5 +386,5 @@
 </node>
 </node>
-<node CREATED="1201877638475" ID="Freemind_Link_312955008" MODIFIED="1201877709483" POSITION="right" TEXT="Quantity structure">
+<node CREATED="1201877638475" FOLDED="true" ID="Freemind_Link_312955008" MODIFIED="1201877709483" POSITION="right" TEXT="Quantity structure">
 <node CREATED="1201877714895" ID="Freemind_Link_1862106138" MODIFIED="1201877724946" TEXT="Students">
 <node CREATED="1201877848576" ID="Freemind_Link_552788283" MODIFIED="1201877974303" TEXT="Zope Database: "/>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/layout.xsl
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/layout.xsl	(revision 3446)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/layout.xsl	(revision 3447)
@@ -66,4 +66,6 @@
         <h1>Widgets</h1>
         <xsl:for-each select="object/widget">
+          <xsl:sort select="@name"
+                    order="ascending" />
           <xsl:variable name="color">
             <xsl:choose>
@@ -76,5 +78,5 @@
             </xsl:choose>
           </xsl:variable>
-          <h3><xsl:value-of select="@name"/> Meta Type: <xsl:value-of select="@meta_type"/></h3>
+          <h3><xsl:value-of select="@name"/> : <xsl:value-of select="@meta_type"/></h3>
           <table>
             <tr style="background-color:{$color}">
@@ -85,7 +87,7 @@
             <xsl:for-each select="property">
               <tr style="background-color:{$color}">
-                <th>
+                <td>
                   <xsl:value-of select="@name"/>
-                </th>
+                </td>
                 <td>
                   <xsl:choose>
@@ -100,6 +102,7 @@
                 <td>
                   <xsl:for-each select="element">
-                    <xsl:value-of select="@value"/>
+                    <xsl:value-of select="@value"/>,
                   </xsl:for-each>
+                     
                 </td>
               </tr>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/payment.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/payment.xml	(revision 3446)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/payment.xml	(revision 3447)
@@ -4,5 +4,5 @@
   <field name="date" meta_type="CPS DateTime Field"/>
   <field name="type_description" meta_type="CPS String Field" >
-    <property name="is_searchabletext">True</property>
+    <property name="is_searchabletext">False</property>
   </field>
   <field name="amount" meta_type="CPS String Field"/>
@@ -14,5 +14,5 @@
   <field name="resp_pay_reference" meta_type="CPS String Field"/>
   <field name="resp_desc" meta_type="CPS String Field">
-    <property name="is_searchabletext">True</property>
+    <property name="is_searchabletext">False</property>
   </field>
   <field name="order_id" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/student_application.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/student_application.xml	(revision 3446)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/student_application.xml	(revision 3447)
@@ -14,5 +14,5 @@
  <field name="jamb_lastname" meta_type="CPS String Field">
  <field name="jamb_middlename" meta_type="CPS String Field"/>
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="jamb_lga" meta_type="CPS String Field"/>
@@ -20,5 +20,5 @@
 
  <field name="jamb_reg_no" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="jamb_score" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/student_clearance.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/student_clearance.xml	(revision 3446)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/student_clearance.xml	(revision 3447)
@@ -6,16 +6,12 @@
  <field name="middlename" meta_type="CPS String Field"/>
  <field name="lastname" meta_type="CPS String Field"/>
-
  <field name="clr_ac_pin" meta_type="CPS String Field">
   <property name="is_searchabletext">False</property>
  </field>
-
  <field name="matric_no" meta_type="CPS String Field">
-   <property name="is_searchabletext">True</property>
+   <property name="is_searchabletext">False</property>
  </field>
-
  <field name="matric_no_history" meta_type="CPS String List Field">
  </field>
-
  <field name="entry_date" meta_type="CPS DateTime Field"/>
  <field name="request_date" meta_type="CPS DateTime Field"/>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/student_personal.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/student_personal.xml	(revision 3446)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/student_personal.xml	(revision 3447)
@@ -4,14 +4,14 @@
 
  <field name="firstname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="middlename" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="lastname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="former_surname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
 
Index: /WAeUP_SRP/uniben/profiles/default/schemas/student_study_course.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/student_study_course.xml	(revision 3446)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/student_study_course.xml	(revision 3447)
@@ -4,5 +4,5 @@
   <field name="title" meta_type="CPS String Field"/>
   <field name="study_course" meta_type="CPS String Field">
-    <property name="is_searchabletext">True</property>
+    <property name="is_searchabletext">False</property>
   </field>
   <field name="study_course_history" meta_type="CPS String List Field">