Index: /WAeUP_SRP/fceokene/profiles/default/layouts/layout.xsl
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/layout.xsl	(revision 3447)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/layout.xsl	(revision 3448)
@@ -66,4 +66,6 @@
         <h1>Widgets</h1>
         <xsl:for-each select="object/widget">
+          <xsl:sort select="@name"
+                    order="ascending" />
           <xsl:variable name="color">
             <xsl:choose>
@@ -76,5 +78,5 @@
             </xsl:choose>
           </xsl:variable>
-          <h3><xsl:value-of select="@name"/> Meta Type: <xsl:value-of select="@meta_type"/></h3>
+          <h3><xsl:value-of select="@name"/> : <xsl:value-of select="@meta_type"/></h3>
           <table>
             <tr style="background-color:{$color}">
@@ -85,7 +87,7 @@
             <xsl:for-each select="property">
               <tr style="background-color:{$color}">
-                <th>
+                <td>
                   <xsl:value-of select="@name"/>
-                </th>
+                </td>
                 <td>
                   <xsl:choose>
@@ -100,6 +102,7 @@
                 <td>
                   <xsl:for-each select="element">
-                    <xsl:value-of select="@value"/>
+                    <xsl:value-of select="@value"/>,
                   </xsl:for-each>
+                     
                 </td>
               </tr>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/payment.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/payment.xml	(revision 3447)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/payment.xml	(revision 3448)
@@ -4,5 +4,5 @@
   <field name="date" meta_type="CPS DateTime Field"/>
   <field name="type_description" meta_type="CPS String Field" >
-    <property name="is_searchabletext">True</property>
+    <property name="is_searchabletext">False</property>
   </field>
   <field name="amount" meta_type="CPS String Field"/>
@@ -14,5 +14,5 @@
   <field name="resp_pay_reference" meta_type="CPS String Field"/>
   <field name="resp_desc" meta_type="CPS String Field">
-    <property name="is_searchabletext">True</property>
+    <property name="is_searchabletext">False</property>
   </field>
   <field name="order_id" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/student_application.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/student_application.xml	(revision 3447)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/student_application.xml	(revision 3448)
@@ -14,5 +14,5 @@
  <field name="jamb_lastname" meta_type="CPS String Field">
  <field name="jamb_middlename" meta_type="CPS String Field"/>
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="jamb_lga" meta_type="CPS String Field"/>
@@ -20,5 +20,5 @@
 
  <field name="jamb_reg_no" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="jamb_score" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/student_clearance.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/student_clearance.xml	(revision 3447)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/student_clearance.xml	(revision 3448)
@@ -6,16 +6,12 @@
  <field name="middlename" meta_type="CPS String Field"/>
  <field name="lastname" meta_type="CPS String Field"/>
-
  <field name="clr_ac_pin" meta_type="CPS String Field">
   <property name="is_searchabletext">False</property>
  </field>
-
  <field name="matric_no" meta_type="CPS String Field">
-   <property name="is_searchabletext">True</property>
+   <property name="is_searchabletext">False</property>
  </field>
-
  <field name="matric_no_history" meta_type="CPS String List Field">
  </field>
-
  <field name="entry_date" meta_type="CPS DateTime Field"/>
  <field name="request_date" meta_type="CPS DateTime Field"/>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/student_personal.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/student_personal.xml	(revision 3447)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/student_personal.xml	(revision 3448)
@@ -4,14 +4,14 @@
 
  <field name="firstname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="middlename" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="lastname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="former_surname" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
 
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/student_study_course.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/student_study_course.xml	(revision 3447)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/student_study_course.xml	(revision 3448)
@@ -4,5 +4,5 @@
   <field name="title" meta_type="CPS String Field"/>
   <field name="study_course" meta_type="CPS String Field">
-    <property name="is_searchabletext">True</property>
+    <property name="is_searchabletext">False</property>
   </field>
   <field name="study_course_history" meta_type="CPS String List Field">