Index: WAeUP_SRP/base/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/clearance_edit_form.pt	(revision 3451)
+++ WAeUP_SRP/base/skins/waeup_student/clearance_edit_form.pt	(revision 3452)
@@ -4,7 +4,5 @@
 
   <metal:main fill-slot="main"
-           tal:define="
-               info context/getClearanceInfo;
-               s_name context/getStudentNameInContext;">
+              tal:define="info context/getClearanceInfo;">
                
       <metal:block tal:condition="not: info">
@@ -13,8 +11,8 @@
       <metal:block tal:condition="info">
       <metal:block tal:define="               
-               is_so context/isSectionOfficer;
-               is_staff context/isStaff;
-               is_co context/isClearanceOfficer;
-               is_student context/isStudent;
+               is_so info/is_sectionofficer;
+               is_staff info/is_staff;
+               is_co info/is_clearanceofficer;
+               is_student info/is_student;
                review_state info/review_state;
                clear_review_state info/clear_review_state;
@@ -37,5 +35,5 @@
       <h3> 
         <span tal:condition="info">
-          <span tal:content="s_name" />:
+          <span tal:content="info/student_name" />:
         </span>
         <span tal:content="here/title_or_id" />
Index: WAeUP_SRP/base/skins/waeup_student/clearance_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/clearance_slip.pt	(revision 3451)
+++ WAeUP_SRP/base/skins/waeup_student/clearance_slip.pt	(revision 3452)
@@ -17,19 +17,20 @@
               />        
               
-        <table tal:define="sc python: info['course_doc']">
+        <table tal:define="sc python: info['course_doc'];
+               f_id sc/faculty;
+               d_id sc/department;
+               sc_id sc/course;
+               f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
+               d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus;
+               sc_title context/academics/?f_id/?d_id/certificates/?sc_id/Title|string:Course not in Prospectus"
+               >
         <tr>
           <td width="180px">Certificate:</td> 
-          <td><span tal:content="sc/title" /></td>
+          <td><span tal:content="sc_title" /></td>
         </tr>
         <tr>
           <td>Certificate ID:</td>
-          <td tal:content="sc/study_course" />
+          <td tal:content="sc/course" />
         </tr>
-        <span  tal:omit-tag="" 
-               tal:define="f_id sc/faculty;
-                        d_id sc/department;
-                        f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
-                        d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus"
-                        >
             <tr>
               <td>Faculty:</td>
@@ -40,5 +41,4 @@
               <td><span tal:content="d_title" /></td>
             </tr>
-          </span>
         </table>                 
               
Index: WAeUP_SRP/base/skins/waeup_student/clearance_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/clearance_view.pt	(revision 3451)
+++ WAeUP_SRP/base/skins/waeup_student/clearance_view.pt	(revision 3452)
@@ -2,7 +2,6 @@
     <metal:main fill-slot="main"
                 tal:define="info context/getClearanceInfo;
-                        is_so context/isSectionOfficer;
-                        is_student context/isStudent;
-                        s_name context/getStudentNameInContext;
+                        is_so info/is_sectionofficer;
+                        is_student info/is_student;
                         ">
       <span tal:condition="not: info">
@@ -27,10 +26,10 @@
         <h3> 
            <span tal:condition="python:is_so and info">
-             <span tal:content="s_name" />:
+             <span tal:content="info/student_name" />:
            </span>
            <span tal:condition="python:is_student">
              My
            </span>
-           <span tal:content="here/title_or_id" />
+           <span tal:content="context/title_or_id" />
         </h3>        
 
Index: WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py	(revision 3451)
+++ WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py	(revision 3452)
@@ -12,4 +12,9 @@
 return Info about the current Student
 """
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
 import logging
 logger = logging.getLogger('Skins.getClearanceInfo')
@@ -42,15 +47,19 @@
     return None
 
+student_record = context.students_catalog.getRecordByKey(student_id)
 students_object = context.portal_url.getPortalObject().campus.students
 student = getattr(students_object, student_id)
-res = context.portal_catalog(portal_type='Student',id = student_id)
-if len(res) == 0:
-    return None
-creation_date = DateTime(res[0].CreationDate)
-info['penalty'] = creation_date.lessThan(DateTime('2006/12/5'))
+# res = context.portal_catalog(portal_type='Student',id = student_id)
+# if len(res) == 0:
+#     return None
+# creation_date = DateTime(res[0].CreationDate)
+# info['penalty'] = creation_date.lessThan(DateTime('2006/12/5'))
+info['penalty'] = False
 info['id'] = student_id
 info['student'] = student
-info['review_state'] = context.getStudentReviewState()
-info['app'] = student.application
+info['student_name'] = student_record.name
+#info['review_state'] = context.getStudentReviewState()
+info['review_state'] = student_record.review_state
+# info['app'] = student.application
 info['app_doc'] = student.application.getContent()
 info['clear'] = student.clearance
@@ -59,22 +68,27 @@
 info['per'] = student.personal
 info['per_review_state'] = wf.getInfoFor(student.personal,'review_state',None)
-if info['review_state'] in ('clearance_requested', 'cleared_and_validated',):
-    info['penalty'] = info['penalty'] and\
-                      info['clear_doc'].entry_date.greaterThan(DateTime('2006/12/30'))
-course = getattr(student,'study_course',None)
-if course:
-    cert_id = course.getContent().study_course
-    res = context.portal_catalog(portal_type = "Certificate", id = cert_id)
-    ci = {}
-    if len(res) > 0:
-        info['course'] = course
-        brain = res[0]
-        ci['study_course'] = brain.getId
-        ci['title'] = brain.Title
-        pl = brain.getPath().split('/')
-        ci['faculty'] = pl[-4]
-        ci['department'] = pl[-3]
-        info['course_doc'] = ci
-    else:
-        info['course'] = None
+ci = {}
+ci['course'] = student_record.course
+ci['faculty'] = student_record.faculty
+ci['department'] = student_record.department
+info['course_doc'] = ci
+# if info['review_state'] in ('clearance_requested', 'cleared_and_validated',):
+#     info['penalty'] = info['penalty'] and\
+#                       info['clear_doc'].entry_date.greaterThan(DateTime('2006/12/30'))
+# course = getattr(student,'study_course',None)
+# if course:
+#     cert_id = course.getContent().study_course
+#     res = context.portal_catalog(portal_type = "Certificate", id = cert_id)
+#     ci = {}
+#     if len(res) > 0:
+#         info['course'] = course
+#         brain = res[0]
+#         ci['study_course'] = brain.getId
+#         ci['title'] = brain.Title
+#         pl = brain.getPath().split('/')
+#         ci['faculty'] = pl[-4]
+#         ci['department'] = pl[-3]
+#         info['course_doc'] = ci
+#     else:
+#         info['course'] = None
 return info